Bug 802113 - [abrt] smolt-1.4.3-6.fc17: smolt.py:927:getProfile:TypeError: decoding Unicode is not supported
[abrt] smolt-1.4.3-6.fc17: smolt.py:927:getProfile:TypeError: decoding Unicod...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:a940f42e52f0348aee02339808b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 07:51 EDT by Pavel Šimerda (pavlix)
Modified: 2013-08-01 09:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Šimerda (pavlix) 2012-03-11 07:51:22 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/smoltSendProfile -p
comment:        Smolt was called from ABRT.
executable:     /usr/bin/smoltSendProfile
kernel:         3.3.0-0.rc4.git1.4.fc17.x86_64
reason:         smolt.py:927:getProfile:TypeError: decoding Unicode is not supported
time:           Sun 11 Mar 2012 12:26:48 PM CET
uid:            1000
username:       pavlix

backtrace:
:smolt.py:927:getProfile:TypeError: decoding Unicode is not supported
:
:Traceback (most recent call last):
:  File "/usr/bin/smoltSendProfile", line 176, in <module>
:    for line in profile.getProfile():
:  File "/usr/share/smolt/client/smolt.py", line 927, in getProfile
:    printBuffer.append('%s: %s' % (unicode(label, 'utf-8'), data))
:TypeError: decoding Unicode is not supported
:
:Local variables in innermost frame:
:printBuffer: [u'# This is a Smolt report shown within your default pager.', u'# Below you can see what data you will submit to the server.', u'# To get back to Smolt exit the pager (try hitting "q").', '#', u'# NOTE:  Editing this file does not change the data submitted.', '', '', u'General', '=================================', u'UUID: 55c05c20-e38d-439e-a5cf-9d8acfba1f8f', u'OS: Fedora release 17 (Beefy Miracle)', u'Default run level: Unknown', u'Language: en_US.UTF-8', u'Platform: x86_64', u'BogoMIPS: 2992.45', u'CPU Vendor: GenuineIntel', u'CPU Model: Intel(R) Core(TM)2 Duo CPU     T5250  @ 1.50GHz', u'CPU Stepping: 13', u'CPU Family: 6', u'CPU Model Num: 15', u'Number of CPUs: 2', u'CPU Speed: 1500', u'System Memory: 3930', u'System Swap: 4095', u'Vendor: TOSHIBA']
:self: <smolt._Hardware instance at 0x3088200>
:data: '\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff \xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff'
:label: u'System'
Comment 1 Fedora End Of Life 2013-07-04 00:19:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:11:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.